"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var shared_1 = require("@dev-scripts/shared");
var isDevelopment = (0, shared_1.getDefaultMode)() === 'development';
var imageLoader = function (isClient) {
    if (isClient === void 0) { isClient = true; }
    var defaultOptions = {
        name: shared_1.devConfig.contenthash ? '[name].[contenthash].[ext]' : '[name].[ext]',
        outputPath: (0, shared_1.normalizePath)(shared_1.devConfig.imagesOutputPath),
        emitFile: isClient,
    };
    var imageWebpackLoaderOptions = {
        disable: isDevelopment,
        mozjpeg: {
            progressive: true,
            quality: 65,
        },
        optipng: {
            enabled: false,
        },
        pngquant: {
            quality: [0.65, 0.9],
            speed: 4,
        },
        gifsicle: {
            interlaced: false,
        },
    };
    return {
        test: /\.(gif|png|jpe?g|svg)$/i,
        use: [
            {
                loader: 'file-loader',
                options: defaultOptions,
            },
            {
                loader: 'image-webpack-loader',
                options: imageWebpackLoaderOptions,
            },
        ],
    };
};
exports.default = imageLoader;
//# sourceMappingURL=image-loader.js.map